A 'simple' collection of bash scripts that syncs CodiMD files with a certain metadata block to Gitlab


You need to put the following block somewhere in you CodiMD file.

```markdown
:::spointer Gitlab sync
- sync-to: path/in/the/drive
:::
```


## Setup

Install the glab tool using a package manager of your choice.

Set environment variable in your shell profile:

```bash
export GITLAB_HOST=https://git.zeus.gent
export GITLAB_TOKEN_NAME=the-token-name-in-gitlab
export GITLAB_TOKEN=********

export CMD_SERVER_URL=https://codimd.zeus.gent
export CMD_EMAIL=codimd.zeus.gent@mcbloch.dev
export CMD_PASSWORD=*******
```

## TODO

- Add a way to discover new markdown files.
  - Scraping Mattermost
  - ? Providing an api endpoint to post an url to ?
